Bug 886159 - Changing the local console port from 3128 to 8118
Summary: Changing the local console port from 3128 to 8118
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Website
Version: 1.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Brenton Leanhardt
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-11 16:19 UTC by Brenton Leanhardt
Modified: 2017-03-08 17:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-31 20:33:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0220 0 normal SHIPPED_LIVE Important: Red Hat OpenShift Enterprise 1.1 update 2013-02-01 01:23:24 UTC

Description Brenton Leanhardt 2012-12-11 16:19:39 UTC
Description of problem:

Upstream has moved the local port for the console from 3128 to 8118.  This was due to an upstream selinux-policy difference.  Since the console will be supported in 1.1 we decided to go ahead and make this change now.

There should be nothing required for new installs.  If the user previously had the console installed the apache configuration files will not be overwritten and they will continue to use the old port.

We will likely create a check in oo-diagnostics to look for rpmnew files and give the admin a suggestion about what to do.

Comment 2 xjia 2012-12-12 08:09:21 UTC
Verify:

[root@broker ~]# netstat -tunlp | grep http
tcp        0      0 127.0.0.1:8080              0.0.0.0:*                   LISTEN      6526/httpd          
tcp        0      0 127.0.0.1:8118              0.0.0.0:*                   LISTEN      5276/httpd          
tcp        0      0 :::80                       :::*                        LISTEN      5167/httpd          
tcp        0      0 :::443                      :::*                        LISTEN      5167/httpd          
[root@broker ~]# ps aux | grep 5276
root      1586  0.0  0.0 103244   840 pts/1    S+   03:08   0:00 grep 5276
root      5276  0.0  0.0  99768  3096 ?        Ss   Dec11   0:00 /usr/sbin/httpd -C Include /var/www/openshift/console/httpd/console.conf -f /var/www/openshift/console/httpd/httpd.conf
[root@broker ~]# 


Version:
OpenShiftEnterprise/1.1.x/2012-12-11.3/

Comment 4 errata-xmlrpc 2013-01-31 20:33:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0220.html


Note You need to log in before you can comment on or make changes to this bug.